#!/bin/bash
# sum-product.sh
# Une fonction peut "renvoyer" plus d'une valeur.

somme_et_produit ()   # Calcule à la fois la somme et le produit des arguments.
{
  echo $(( $1 + $2 )) $(( $1 * $2 ))
# Envoie sur stdout chaque valeur calculée, séparée par une espace.
}

echo
echo "Entrez le premier nombre "
read premier

echo
echo "Entrez le deuxième nombre "
read second
echo

valretour=`somme_et_produit $premier $second` #  Affecte à la variable la sortie
                                              #+ de la fonction.
somme=`echo "$valretour" | awk '{print $1}'`  # Affecte le premier champ.
produit=`echo "$valretour" | awk '{print $2}'`# Affecte le deuxième champ.

echo "$premier + $second = $somme"
echo "$premier * $second = $produit"
echo

exit 0
